Subject: RE: [SIP] Announcement of SIP Forum

From: "Rajeev Gupta" <[email-masked]>
Date: Mon, 10 Jul 2000 13:41:23 -0700

I apologize if I am flogging a dead horse but...

The latest discussion in the Softswitch Consortium's SIP working group was
precisely along these lines i.e. to take the call flows I-D and implement
test cases based on that that can be used to certify conformance of SIP
implementations. The implementation would probably be done by an independent
3rd party (such as UNH) which could also host the test lab (presumably, fees
would be charged to cover test costs).

The real work I see here is the implementation of call flow test cases in a
manner that is easy to test against. Since the call flows are open, any
vendor could implement them in-house to test conformance. The "certification
program" would be for those that want to avail of it to expedite their
testing, and would ensure conformance against a common set of test cases, to
promote interoperability.

Rajeev Gupta
empowerTel Networks
475 Sycamore Drive, Milpitas, CA 95035
Phone: +1 408 519 7136
Fax: +1 408 519 7399
mailto:[email-masked]
http://www.empowertel.com

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of Henry Sinnreich
Sent: Sunday, June 25, 2000 2:23 PM
To: Dave Walker; [email-masked]
Subject: RE: [SIP] Announcement of SIP Forum

I have serious misgivings about a certification program.
The SIP bakeoffs provide excellent and discreet info that helps
vendors correct their bugs.
Would rather see vendors stating compliance with the published
I-D's with call flows.

Henry

>-----Original Message-----
>From: [email-masked]
>[mailto:[email-masked]]On Behalf Of Dave Walker
>Sent: Thursday, June 22, 2000 1:19 PM
>To: [email-masked]'
>Subject: Re: [SIP] Announcement of SIP Forum
>
>
>In case anyone is not aware of it, I believe that this type
>of certification program is currently being considered by the
>SIP Working Group in the Softswitch Consortium (which is *not*
>looking for post-H.323 work!).
>
>Dave Walker
>SS8 Networks
>Ottawa, Canada
>
>
>Henning Schulzrinne wrote:
>>
>> One of the ideas that was discussed at the Telia
>dinner in Stockholm was
>> whether there was a need for a basic SIP
>certification program. There
>> are obvious pluses and minuses for this, but my
>concern is that if this
>> is a real need, I can think of a few organizations
>(looking for
>> post-H.323 work...) that I would rather *not* see doing this.
>> --
>> Henning Schulzrinne   http://www.cs.columbia.edu/~hgs
>>
>> _______________________________________________
>> SIP mailing list
>> [email-masked]
>> http://lists.bell-labs.com/mailman/listinfo/sip
>
>
>_______________________________________________
>SIP mailing list
>[email-masked]
>http://lists.bell-labs.com/mailman/listinfo/sip

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip